#
# spec file for package python-azure-storage-file
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-azure-storage-file
Version:        1.3.1
Release:        lp151.1.1
Summary:        Microsoft Azure Storage File Client Library for Python
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/Azure/azure-sdk-for-python
Source:         https://files.pythonhosted.org/packages/source/a/azure-storage-file/azure-storage-file-%{version}.tar.gz
Source1:        LICENSE.txt
Patch1:         asf_drop-compatible-releases-operator.patch
Patch2:         asf_drop-extras-require.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
BuildRequires:  %{python_module azure-storage-nspkg}
BuildRequires:  %{python_module azure-nspkg}
Requires:       python-azure-storage-nspkg
Requires:       python-azure-nspkg
Requires:       python-azure-common >= 1.1.5
Requires:       python-azure-storage-common >= 1.3
Requires:       python-azure-storage-common < 2.0.0
Conflicts:      python-azure-sdk <= 2.0.0
Conflicts:      python-azure-storage <= 0.36.0

BuildArch:      noarch

%python_subpackages

%description
This project provides a client library in Python that makes it easy to
consume Microsoft Azure Storage services. For documentation please see
the Microsoft Azure `Python Developer Center`_ and our `API Reference`_
Page.

%prep
%setup -q -n azure-storage-file-%{version}
%patch1 -p1
%patch2 -p1

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-storage-file-%{version}
%python_build

%install
%python_install
%{python_expand # delete common files
rm -rf %{buildroot}%{$python_sitelib}/azure/storage/__init__.*
rm -rf %{buildroot}%{$python_sitelib}/azure/storage/__pycache__
rm -rf %{buildroot}%{$python_sitelib}/azure/__init__.*
rm -rf %{buildroot}%{$python_sitelib}/azure/__pycache__
}

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE.txt
%{python_sitelib}/azure/storage/file
%{python_sitelib}/azure_storage_file-*.egg-info
%changelog
* Mon Oct  8 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Initial build
  + Version 1.3.1
- Add patch to drop compatible releases operator from setup.py,
  required for SLES12 as the setuptools version is too old
  + asf_drop-compatible-releases-operator.patch
- Add patch to drop extras_require field from setup.py,
  required for SLES12 as the setuptools version is too old
  + asf_drop-extras-require.patch
